Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06280 Interface Minor Always Jul 5, 2016, 12:03 Jul 12, 2016, 00:32
Tester ozfalcon View Status Public Platform MAME (Self-compiled)
Assigned To crazyc Resolution Fixed OS Linux (32-bit)
Status [?] Resolved   Driver
Version 0.175 Fixed in Version 0.176 Build Normal
Summary 06280: PLUGINS: The plugin.ini file is created in the current folder when it should be created in the "ini" path.
Description When Mame is run, It appears to load the "plugin.ini" from the "ini" path folder (As expected).

But when Mame saves the "plugin.ini" it is placed in the current folder, Not the 1st "ini" path folder (Or location it was loaded).
Steps To Reproduce 1. Run Mame (Set the "ini" path and do not load any roms).

> mame -inipath INI

2. View or change plugin status and exit Mame.
(UI needs to be set to "cabinet" and "plugins" enabled in order to change/save plugin status)

3. Observe Mame creates a "plugin.ini" file in the current folder instead of within the ini path folder.
Additional Information
Flags
Regression Version
Affected Sets / Systems PLUGINS
Attached Files
 


-  Notes
User avatar
No.12902
Tafoid
(Administrator)
Jul 6, 2016, 12:00
AFAIK, all .ini files that are global are placed in the root folder (same as emulator). This is true for mame.ini, ui.ini and now plugin.ini Anything in INI folder or further in "INIPATH" is meant to act as a filter to the original, meaning the setting that conflict due to various ini.. the folder INI is given last dibs on final settings used.

So, I'm pretty sure this is expected behavior and is determined by order read/priority given to the final read file(s).
User avatar
No.12921
ozfalcon
(Tester)
Jul 11, 2016, 15:03
edited on: Jul 11, 2016, 22:10
>>>> AFAIK, all .ini files that are global are placed in the root folder (same as emulator).
I don't think this is correct - What exactly are we calling the "root" folder?

Is the "Current" folder or is the "~/.mame" folder the root folder?
I would expect it to be the "~/.mame" folder that the mame.ini is looked for.

But the plugin.ini is being saved in the "Current" folder - Wherever that may be when Mame is run (Not usually the root folder).

Just to note:
The "ui.ini" is indeed loaded from and saved to the "ini" path folder.
I just tested "ui.ini" - And Mame did not read it from the root folder (Make sure ini path is NOT pointing to root folder to test).
I also tested "plugin.ini" - And Mame did not read it from the Root or the Current folder either (It only loads from the ini path folder).

I think only mame.ini is "Read" from the root folder (And that can be overridden by a mame.ini in the ini folder - Like you mentioned)

I understand what you are saying regarding the ini folder given last dibs, But I don't think that is the case here.

User avatar
No.12922
Tafoid
(Administrator)
Jul 11, 2016, 20:20
Ok, I will confirm that with a setting of:
mame64 -inipath INI
.. that plugin.ini is not written to INI folder, as determined by mame.ini's settings, but to the same folder of binary. The issue only seems to affect SAVING the plugin.ini

The bug text was all over the place and it got a bit confusing to follow because you were arguing things that were not a bug as well.
It is best to keep reports simply and focused
User avatar
No.12924
ozfalcon
(Tester)
Jul 11, 2016, 21:32
Yes it only affects saving the plugin.ini

I think there is some confusion of what is root directory - So my explanation became hard to follow.

I'm not exactly sure what you mean by "...same folder of binary" - I think you mean root directory?
(My binary is in a read only system directory which is definitely not Mame's root directory)
User avatar
No.12925
ozfalcon
(Tester)
Jul 11, 2016, 21:40
So to summarize:

Mame SAVES "ui.ini", "game.ini", "mame.ini" to the first ini path folder.

Mame does not save "plugin.ini" to the first ini path folder like the other ini files.

To be consistent, Mame should save "plugin.ini" to the first ini path folder (Like the other ini files).
User avatar
No.12926
ozfalcon
(Tester)
Jul 11, 2016, 21:53
edited on: Jul 11, 2016, 22:19
I have just removed unnecessary lines from the bug report to help make the description clearer.